[Stable Update] 2018-05-26 - Kernels, Nvidia, Xorg-Server, Mesa, Browsers, Deepin, Calamares, Pamac

update
stable

#1

Hi community,

over a week has now passed since our last stable update. We had lot of work to make this one stable enough. So what do we have with this one?

  • Most of our kernels now ship with Spectre-NG patches
  • We updated some of our Cinnamon packages
  • Deepin got lot of package updates lately
  • Latest Firefox Development Edition and Palemoon browser versions got added
  • Many updates to our python stack
  • We ship the latest linux-firmware with AMD firmwares for CPU and GFX
  • Most exciting is the release of Calamares v3.2.0
  • With the latest Thunderbird we try to fix issues with encrypted emails
  • v18.0.4 rounds up the v18.0 series of Mesa
  • With Pamac v6.3.2 we fixed with DB-sync and AUR packages

We hope with all these changes Manjaro to be more efficent for you all.


If you are curious about the latest state of development for the upcoming Manjaro-Illyria 18.0 release, you now have the opportunity to download a beta-build of Manjaro-Xfce 18.0 including the latest xfce-gtk3 packages aswell as our most recent styling efforts:


Latest information about the intel-cpu-bug risk and our efforts can be found here.


Current supported Kernels

  • linux316 3.16.56
  • linux318 3.18.110 [EOL]
  • linux41 4.1.51
  • linux44 4.4.132
  • linux49 4.9.103
  • linux414 4.14.44
  • linux415 4.15.18 [EOL]
  • linux416 4.16.12
  • linux417 4.17-rc6
  • linux414-rt 4.14.40_rt30
  • linux416-rt 4.16.8_rt3

Package Updates (Fri May 25 09:02:16 CEST 2018)

  • stable community x86_64: 562 new and 517 removed package(s)
  • stable core x86_64: 20 new and 21 removed package(s)
  • stable extra x86_64: 394 new and 487 removed package(s)
  • stable multilib x86_64: 21 new and 19 removed package(s)

The full package list can be found here.

  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0 voters

Check if your mirror has already synced:


Error loading postgresql driver with kexi
#2

This is a wiki post; please edit as necessary.


gcc54 and gcc5 are in conflict

For those using CUDA, if this error comes up, run the update from terminal
sudo pacman -Syyu
and type YES to replace gcc5 with gcc54


Extension “Workspace to Dock” is bugged

Be careful like there is a bug if you use the Extension “Workspace to Dock”. You need to update/install this version in ~/.local/share/gnome-shell/extensions/ for not have desktop freeze after reboot : https://github.com/passingthru67/workspaces-to-dock/archive/master.zip

Thanks for nabd who have solved this issue : [Testing Update] 2018-05-11 - Kernels, GCC8, Gnome 3.28.2, Cinnamon, KDE Apps 18.04.1, LibreOffice


I see a lot of pacnew files

Well, there is no manual intervention needed for pacnew files coming from filesystem package. The best thing you can do is, do nothing.

Never, ever, ever, ever, ever merge the pacnew file for /etc/{passwd,shadow,gshadow,group}, unless you want to make the new comments match aesthetically with your in-use user accounts database. The only practical difference that merging can ever cause is to accidentally delete users or mangle the whole file’s syntax and render your computer maybe unbootable.

More advice in this regard you may find here.


Nvidia drivers and Fermi support

With the current Nvidia driver release v396.24, support for the old Fermi cards got dropped. Please switch either over to Nouveau driver or downgrade to v390xx driver series.

Bumblebee users follow:

sudo mhwd -r pci video-hybrid-intel-nvidia-bumblebee
sudo mhwd -i pci video-hybrid-intel-nvidia-390xx-bumblebee

Normal users follow:

sudo mhwd -r pci video-nvidia
sudo mhwd -i pci video-nvidia-390xx

To switch to opensource drivers do:

sudo mhwd -r pci video-nvidia
sudo mhwd -i pci video-linux


Changes made to Glibc

The new version of glibc removes support for NIS and NIS+. The default /etc/nsswitch.conf file provided by filesystem package already reflects this change. Please make sure to merge pacnew file if it exists prior to upgrade.

NIS functionality can still be enabled by installing libnss_nis package. There is no replacement for NIS+ in the official repositories.


Changes made to PAM

pam 1.3.0-2 no longer ships pam_unix2 module and pam_unix_*.so compatibility symlinks. Before upgrading, review PAM configuration files in the /etc/pam.d directory and replace removed modules with pam_unix.so. Users of pam_unix2 should also reset their passwords after such change. Defaults provided by pambase package do not need any modifications.

Check grep -rn 'pam_unix[2_]' /etc/pam.d, if no output, you need to do nothing.


Samba units renamed

Note: In samba 4.8.0-1, the units were renamed from smbd.service and nmbd.service to smb.service and nmb.service.

To provide basic file sharing through SMB start/enable smb.service and/or nmb.service services. See the smbd(8) and nmbd(8) man pages for details, as the nmb.service service may not always be required.


Directory permissions differ

Directory permissions differ on /var/lib/samba/private/
filesystem: 755 package: 700

sudo chmod 700 /var/lib/samba/private/


Samba - Error 255: net usershare add: cannot convert name “Everyone” to a SID.

Currently there seems to be an issue when using group = sambashare with Samba 4.8.1-1, which is used by default in thesmb.conf provided by Manjaro. Changing it to group = +sambashare or force group = +sambashare resolves this. However, we might fill out a bug report, to see why that is currently needed.

Commenting/removing group = sambashare is also a viable solution.


Long delay for starting Desktop Environment

There’s a bug which is exhausting the entropy pool. This is refilled over time through e.g. disk activity and mouse movement. You can increase the fill rate with a software solution:

sudo pacman -S haveged
sudo systemctl enable haveged
sudo systemctl start haveged

An alternative method if activating the haveged service is not something you want to do is to press the shift key 8-10 times in succession.


How to inrease ratelimiting?
[SOLVED] Cannot log in with Active Directory user
[Testing Update] 2018-05-30 - Deepin, Kernels, Pacman 5.1, Pamac, Firefox, QT 5.11
#3

Updated, perfectly no problem!

Just a quick question, in future updates, will ffmpeg be compiled with --enable-libaom? :slight_smile:

As always, thanks for this update! It’s always a delight to update a GNU/Linux OS (compared to other OSes :wink:)


#4

KDE desktop, kernel 4.16.12-1. Running smoothly after rebooting, here.

Thanks!


#5

Desktop with Cinnamon and kernel 4.14 was updated alright :slight_smile:


#6

The same for me :sunglasses:

regards
caho


#7

Good update: linux417+gnome+nvidia+zfs

Thanks!


#8

no issue
and my problem width cairo-doc / cinnamon is fixed :slightly_smiling_face:
Thanks


#9

xfce,flawless update
CPU: AMD Athlon II Neo K125 @ 1.7GHz
GPU: AMD RS880 (DRM 2.50.0 / 4.16.12-1-MANJARO, LLVM 6.0.0)
cheers


#10

Great to know …


#11

I’m getting an http 404 for xf86-video-intel from netzspielplatz while all other packages are fine (needed by buildiso not by my system)

$ sudo pacman -Sw xf86-video-intel
[sudo] password di fabio:
risoluzione delle dipendenze in corso…

Pacchetti (2) libxvmc-1.0.10-1 xf86-video-intel-1:2.99.917+829+gd7dfab62-1

Dimensione totale dei pacchetti da scaricare: 0,66 MiB

:: Vuoi procedere con il download? [S/n] s
:: Download dei pacchetti in corso…
errore: impossibile scaricare il pacchetto ‘xf86-video-intel-1_2.99.917+829+gd7dfab62-1-x86_64.pkg.tar.xz’ da mirror.netzspielplatz.de : The requested URL returned error: 404


#12

Everything is fine on all 4 computers, two of them are notebooks

Thanks to the team


#13

All perfect on Kde and kernel 4.16 Now the wifi connects immediately at the start of the Kde session. Thanks to the team.


#14

having the same problem.
@Lolix

.: INFO Mirror list generated and saved to: /etc/pacman.d/mirrorlist

[blah@LenoManji Desktop]$ sudo pacman -Syyu :: Synchronizing package databases... core 144,2 KiB 1603K/s 00:00 [###############] 100% extra 1743,1 KiB 2,14M/s 00:01 [###############] 100% community 4,7 MiB 2,19M/s 00:02 [###############] 100% multilib 179,8 KiB 3,08M/s 00:00 [###############] 100% :: Starting full system upgrade... there is nothing to do [blah@LenoManji Desktop]$ sudo mhwd -i pci video-hybrid-intel-nvidia-390xx-bumblebee

    Installing video-hybrid-intel-nvidia-390xx-bumblebee... Using default Has lib32 support: true Sourcing /var/lib/mhwd/db/pci/graphic_drivers/hybrid-intel-nvidia-390xx-bumblebee/MHWDCONFIG Processing classid: 0300 Sourcing /var/lib/mhwd/scripts/include/0300 :: Synchronizing package databases... core is up to date extra is up to date community is up to date multilib is up to date resolving dependencies... looking for conflicting packages... warning: dependency cycle detected: warning: primus will be installed before its bumblebee dependency

Packages (11) libxvmc-1.0.10-1 primus-20151110-7 bumblebee-3.2.1-18 lib32-nvidia-390xx-utils-390.59-2 lib32-primus-20151110-3 linux414-bbswitch-0.8-39 linux414-nvidia-390xx-390.59-2 linux416-bbswitch-0.8-10 linux416-nvidia-390xx-390.59-2 nvidia-390xx-utils-390.59-1 xf86-video-intel-1:2.99.917+829+gd7dfab62-1

Total Download Size: 0,66 MiB Total Installed Size: 226,50 MiB

:: Proceed with installation? [Y/n] :: Retrieving packages... error: failed retrieving file 'xf86-video-intel-1_2.99.917+829+gd7dfab62-1-x86_64.pkg.tar.xz' from manjaro.ipacct.com : The requested URL returned error: 404 error: failed retrieving file 'xf86-video-intel-1_2.99.917+829+gd7dfab62-1-x86_64.pkg.tar.xz' from mirror.philpot.de : The requested URL returned error: 404 error: failed retrieving file 'xf86-video-intel-1_2.99.917+829+gd7dfab62-1-x86_64.pkg.tar.xz' from manjaro.mirrors.uk2.net : The requested URL returned error: 404 error: failed retrieving file 'xf86-video-intel-1_2.99.917+829+gd7dfab62-1-x86_64.pkg.tar.xz' from ftp.free.org : The requested URL returned error: 404

#15

Everything is fine. Update without any problems. Thank you!

Using KDE Plasma 5.12.5, Kernel 4.14


#16

I think there is a problem with the filename.
There is a : instead of an _ in the filename.

xf86-video-intel-1_2.99.917+829+gd7dfab62-1-x86_64.pkg.tar.xz
xf86-video-intel-1:2.99.917+829+gd7dfab62-1-x86_64.pkg.tar.xz

Already fixed by @philm


#17

i think there was a change in names recently:

https://lists.manjaro.org/pipermail/manjaro-packages/Week-of-Mon-20180521/017003.html

User philip committed following changes:

 - testing extra x86_64:  2 new and 2 removed package(s)

-------------- next part --------------
[New Packages]
xf86-video-ati-1:18.0.1-1-x86_64.pkg.tar.xz
xf86-video-intel-1:2.99.917+829+gd7dfab62-1-x86_64.pkg.tar.xz


[Removed Packages]
xf86-video-ati-1_7.9.0-1-x86_64.pkg.tar.xz
xf86-video-intel-1_2.99.917+829+gd7dfab62-1-x86_64.pkg.tar.xz

#18

Xfce updated today with no issues.
Another perfect update.
Thanks Folks! :wink:


#19

@Lolix @maxf

i solved it like this. (both commands needs sudo)

pacman -Scc (will delete the cache, so nomore downgrade from this point, as i understand, be aware of this)

pacman -U http://repo.manjaro.org.uk/stable/extra/x86_64/xf86-video-intel-1:2.99.917+829+gd7dfab62-1-x86_64.pkg.tar.xz


#20
budgie-desktop-10.4+34+gd6f3519f-1-x86_64.pkg.tar.xz
budgie-desktop-10.4+71+g260a26f3-1-x86_64.pkg.tar.xz

budgie-desktop update broke budgie-desktop-settings.
Every time budgie-desktop-settings is launch, the budgie-panel crash and restart.

Logs:

journalctl
mai 26 15:10:16 yo-gs budgie-panel[6432]: Settings schema 'org.gnome.nautilus.desktop' is not installed
mai 26 15:10:16 yo-gs kernel: traps: budgie-panel[6432] trap int3 ip:7f15d13b6ed2 sp:7ffdaf4e01b0 error:0 in libglib-2.0.so.0.5600.1[7f15d1365000+115000]
mai 26 15:10:16 yo-gs systemd[1]: Started Process Core Dump (PID 6713/UID 0).
mai 26 15:10:17 yo-gs gnome-session[5854]: gnome-session-binary[5854]: WARNING: Application 'budgie-panel.desktop' killed by signal 5
mai 26 15:10:17 yo-gs gnome-session-binary[5854]: WARNING: Application 'budgie-panel.desktop' killed by signal 5
mai 26 15:10:17 yo-gs systemd-coredump[6714]: Process 6432 (budgie-panel) of user 1000 dumped core.
                                              
                                              Stack trace of thread 6432:
                                              #0  0x00007f15d13b6ed2 n/a (libglib-2.0.so.0)
                                              #1  0x00007f15d13b7f7d g_log_default_handler (libglib-2.0.so.0)
                                              #2  0x00007f15d13b821f g_logv (libglib-2.0.so.0)
                                              #3  0x00007f15d13b83a0 g_log (libglib-2.0.so.0)
                                              #4  0x00007f15d19e33d2 n/a (libgio-2.0.so.0)
                                              #5  0x00007f15d169159b n/a (libgobject-2.0.so.0)
                                              #6  0x00007f15d1693180 g_object_new_valist (libgobject-2.0.so.0)
                                              #7  0x00007f15d169350a g_object_new (libgobject-2.0.so.0)
                                              #8  0x00005645968b9a9e budgie_desktop_page_construct (budgie-panel)
                                              #9  0x00005645968b1adb budgie_settings_window_construct (budgie-panel)
                                              #10 0x00005645968a5908 ___lambda10__gsource_func (budgie-panel)
                                              #11 0x00007f15d13b11d6 g_main_context_dispatch (libglib-2.0.so.0)
                                              #12 0x00007f15d13b15b1 n/a (libglib-2.0.so.0)
                                              #13 0x00007f15d13b18e2 g_main_loop_run (libglib-2.0.so.0)
                                              #14 0x00007f15d24b7dcf gtk_main (libgtk-3.so.0)
                                              #15 0x00005645968a21c2 _vala_main (budgie-panel)
                                              #16 0x00007f15d34d306b __libc_start_main (libc.so.6)
                                              #17 0x00005645968979ca _start (budgie-panel)
                                              
                                              Stack trace of thread 6436:
                                              #0  0x00007f15d359dea9 __poll (libc.so.6)
                                              #1  0x00007f15d13b1523 n/a (libglib-2.0.so.0)
                                              #2  0x00007f15d13b18e2 g_main_loop_run (libglib-2.0.so.0)
                                              #3  0x00007f15d19a0348 n/a (libgio-2.0.so.0)
                                              #4  0x00007f15d13d9a2a n/a (libglib-2.0.so.0)
                                              #5  0x00007f15d3873075 start_thread (libpthread.so.0)
                                              #6  0x00007f15d35a853f __clone (libc.so.6)
                                              
                                              Stack trace of thread 6435:
                                              #0  0x00007f15d359dea9 __poll (libc.so.6)
                                              #1  0x00007f15d13b1523 n/a (libglib-2.0.so.0)
                                              #2  0x00007f15d13b163e g_main_context_iteration (libglib-2.0.so.0)
                                              #3  0x00007f15d13b1692 n/a (libglib-2.0.so.0)
                                              #4  0x00007f15d13d9a2a n/a (libglib-2.0.so.0)
                                              #5  0x00007f15d3873075 start_thread (libpthread.so.0)
                                              #6  0x00007f15d35a853f __clone (libc.so.6)
                                              
                                              Stack trace of thread 6439:
                                              #0  0x00007f15d359dea9 __poll (libc.so.6)
                                              #1  0x00007f15d13b1523 n/a (libglib-2.0.so.0)
                                              #2  0x00007f15d13b163e g_main_context_iteration (libglib-2.0.so.0)
                                              #3  0x00007f15b7df9f4e n/a (libdconfsettings.so)
                                              #4  0x00007f15d13d9a2a n/a (libglib-2.0.so.0)
                                              #5  0x00007f15d3873075 start_thread (libpthread.so.0)
                                              #6  0x00007f15d35a853f __clone (libc.so.6)
mai 26 15:10:17 yo-gs budgie-panel[6715]: KeyboardLayoutApplet.vala:53: ibus-daemon unsupported on this system
mai 26 15:10:17 yo-gs bluetoothd[494]: Failed to set mode: Blocked through rfkill (0x12)
mai 26 15:10:17 yo-gs budgie-panel[6715]: Error setting property 'Powered' on interface org.bluez.Adapter1: GDBus.Error:org.bluez.Error.Blocked: Blocked through rfkill (g-io-error-quark, 36)

dmesg
[  421.087031] budgie-polkit-d[1288]: segfault at 56082bd19010 ip 00007fb1d64072bd sp 00007ffd29d141a0 error 4 in libglib-2.0.so.0.5600.1[7fb1d63d9000+115000]

EDIT:
It’s related to nautilus desktop icons, installing nautilus-legacy solved it.
@philm maybe nautilus-legacy should be made as a dependency of budgie-desktop (impossible to launch budgie-desktop-settings without it)?